Name:           jnr-unixsocket
Version:        0.21
Release:        %mkrel 2
Summary:        Unix sockets for Java
Group:          Development/Java
License:        ASL 2.0
URL:            https://github.com/jnr/%{name}/
Source0:        https://github.com/jnr/%{name}/archive/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.github.jnr:jnr-constants)
BuildRequires:  mvn(com.github.jnr:jnr-enxio)
BuildRequires:  mvn(com.github.jnr:jnr-ffi)
BuildRequires:  mvn(com.github.jnr:jnr-posix)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
Unix sockets for Java.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

find ./ -name '*.jar' -delete
find ./ -name '*.class' -delete

# remove unnecessary wagon extension
%pom_xpath_remove pom:build/pom:extensions

# Unnecessary for RPM builds
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :maven-pmd-plugin
%pom_remove_plugin :maven-javadoc-plugin

# Can't run integration tests
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :exec-maven-plugin

# Remove enxio classes to avoid OSGi split-package problems,
# see https://github.com/jnr/jnr-unixsocket/pull/41
rm -r src/main/java/jnr/enxio

# Fix jar plugin usage
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions"

%build
# Tests fails on some arches
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.21-2.mga8
+ Revision: 1521414
- Mageia 8 Mass Rebuild

* Sat Dec 22 2018 daviddavid <daviddavid> 0.21-1.mga7
+ Revision: 1344384
- Update to latest upstream release 0.21

* Mon Dec 03 2018 daviddavid <daviddavid> 0.18-1.mga7
+ Revision: 1337891
- new version: 0.18 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 0.12-2.mga7
+ Revision: 1263011
- Mageia 7 Mass Rebuild

* Sun May 21 2017 neoclust <neoclust> 0.12-1.mga6
+ Revision: 1103932
- New version 0.12
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.10-2.mga6
+ Revision: 976499
- First rebuild of the java stack
- sync package jnr-unixsocket with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2-4.mga5
+ Revision: 741789
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 dmorgan <dmorgan> 0.2-2.mga4
+ Revision: 560846
- imported package jnr-unixsocket


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 11 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2-1
- Initial package.
